Home

# Class goog.debug.Logger.Level

The Level class defines a set of standard logging levels that can be used to control logging output. The logging Level objects are ordered and are specified by ordered integers. Enabling logging at a given level also enables logging at all higher levels.

Clients should normally use the predefined Level constants such as Level.SEVERE.

The levels in descending order are:

- SEVERE (highest value)
- WARNING
- INFO
- CONFIG
- FINE
- FINER
- FINEST (lowest value)

In addition there is a level OFF that can be used to turn off logging, and a level ALL that can be used to enable logging of all messages.

Instance Method Summary
| `toString() ⇒ string`

Static Method Summary
| `createPredefinedLevelsCache_()` Creates the predefined levels cache and populates it.
| `getPredefinedLevel(string name) ⇒ ?goog.debug.Logger.Level` Gets the predefined level with the given name.
| `getPredefinedLevelByValue(number value) ⇒ ?goog.debug.Logger.Level` Gets the highest predefined level <= #value.